/* Media-specific styles */
@media only screen and (max-width: 768px) {
  .main-container {
     color: black;
  background-color: black;
  width: 100vw; /* Use vw instead of % to make it full screen width */
  height: 50vh!important; /* Use vh instead of % to make it full screen height */
  border: none; /* Remove the border */
  position: absolute; /* Make it absolute to fill the whole screen */
  top: 0; /* Set top to 0 to make it start from the top of the screen */
  left: 0; /* Set left to 0 to make it start from the left of the screen */
  }


video {
  /* Set the width and height to 100% of the parent */
  width: 100%;
  height: 30vh;
  /* Set the object-fit property to cover the entire parent */
  object-fit: cover;
  z-index: 1;

}
/* Style the control wrapper */
.ctrl-wrapper {
  /* Position the wrapper absolute to the parent */
  position: absolute;
  /* Set the top and left properties to 50% to center the wrapper */
  top: 15vh;
  left: 50%;
  /* Translate the wrapper up and to the left by half of its own width and height */
  transform: translate(-50%, -50%);
  /* Set the opacity to 0 to hide the wrapper initially */
  opacity: 0;
  /* Set the transition property to smoothly fade in the wrapper */
  transition: opacity 0.3s ease-in-out;
  padding:50px;
}

.pokeball-container {
    margin-top: 70vh;
      
}
.pokeball{
    height: 30vh;
    width: 35vw;
    margin-top: -100vh;
    margin-left: 37%;
    animation: wiggle 0.5s infinite,glow 2s infinite;
    pointer-events: auto;
}
.pokeball:hover {
    z-index: 1000;
  transform: scale(2);
  
}
/*foot-stying*/
#footer{
width: 90vw!important;
}

.foot-container {
  max-width: 100%;
  margin: 0;
  padding: 20px;
}

.binee {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
}
#main {
    height: 50vh!important;
}
html, body {
    background-color: black;
  width: 90vw!important;
  height: 50vh!important;
  margin: 0;
  padding: 0;
}

}

@media only screen and (min-width: 980px) and (max-width: 1490px) {
  .main-container {
     color: black;
  background-color: black;
  width: 100vw; /* Use vw instead of % to make it full screen width */
  height: 200vh; /* Use vh instead of % to make it full screen height */
  border: none; /* Remove the border */
  position: absolute; /* Make it absolute to fill the whole screen */
  top: 0; /* Set top to 0 to make it start from the top of the screen */
  left: 0; /* Set left to 0 to make it start from the left of the screen */
  }
video {
  /* Set the width and height to 100% of the parent */
  width: 100%;
  height: 85vh;
  /* Set the object-fit property to cover the entire parent */
  object-fit: cover;
  z-index: 1;

}
.video-container::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  transform: translateY(-15vh);
  height: 30px; /* Increased the height to make the gradient smoother */
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 1));
  pointer-events: none;
  z-index: 1; /* Add this to move the fade effect behind the video */
}
}